[arch-commits] Commit in python-gitpython/trunk (PKGBUILD)

David Runge dvzrv at archlinux.org
Tue May 5 20:43:02 UTC 2020


    Date: Tuesday, May 5, 2020 @ 20:43:01
  Author: dvzrv
Revision: 624967

upgpkg: python-gitpython 3.1.2-1: Upgrading to 3.1.2.

Replacing python-nose with python-pytest.

Modified:
  python-gitpython/trunk/PKGBUILD

----------+
 PKGBUILD |   11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2020-05-05 20:37:07 UTC (rev 624966)
+++ PKGBUILD	2020-05-05 20:43:01 UTC (rev 624967)
@@ -5,7 +5,7 @@
 _name=GitPython
 pkgdesc="A python library used to interact with Git repositories"
 pkgname=python-gitpython
-pkgver=3.0.5
+pkgver=3.1.2
 pkgrel=1
 url="https://github.com/gitpython-developers/gitpython"
 license=('BSD')
@@ -12,10 +12,9 @@
 arch=('any')
 depends=('git' 'python-gitdb')
 makedepends=('python-setuptools')
-checkdepends=('python-ddt' 'python-nose')
-source=("${pkgname}-${pkgver}.tar.gz::https://pypi.org/packages/source/G/${_name}/${_name}-${pkgver}.tar.gz"
-        "${pkgname}-${pkgver}.tar.gz.asc::https://pypi.org/packages/source/G/${_name}/${_name}-${pkgver}.tar.gz.asc")
-sha512sums=('bb47f1dcbe753d7c413f51e48e545b4406b793ad795dd7de3c6aeee313a0ad6409876886cb4b7ebbbddae6a4d2a3f108f403b22133069a61ccb3aef32ab120ad'
+checkdepends=('python-ddt' 'python-pytest')
+source=("https://pypi.org/packages/source/G/${_name}/${_name}-${pkgver}.tar.gz"{,.asc})
+sha512sums=('051b59b56a163839bf7754860bfc8e21cfde08b8e7d0fd66239c234b89ba5a83fa7e8540a12c5df3563e5353d1e01119dd1b0a5ea1c22daf7e071fb963cbc3a4'
             'SKIP')
 validpgpkeys=('2CF6E0B51AAF73F09B1C21174D1DA68C88710E60') # Sebastian Thiel (In Rust I trust!) <byronimo at gmail.com>
 
@@ -129,7 +128,7 @@
     git push --tags
   )
   export GIT_PYTHON_TEST_GIT_REPO_BASE="${TEST_TMPDIR}/clone/.git"
-  nosetests -vd || echo "Test suite relies on checked out repository https://github.com/gitpython-developers/GitPython/issues/914"
+  pytest -v || echo "Test suite relies on checked out repository https://github.com/gitpython-developers/GitPython/issues/914"
 }
 
 package() {


More information about the arch-commits mailing list